# -*- coding: utf-8 -*-
#
# File: EDUContent.py
#
# Copyright (c) 2009 by 7 Tech NW
# Generator: ArchGenXML Version 2.3
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Richard Amerman <unknown>, Larry Pitcher <unknown>"""
__docformat__ = 'plaintext'


# Product configuration.
#
# The contents of this module will be imported into __init__.py, the
# workflow configuration and every content type module.
#
# If you wish to perform custom configuration, you may put a file
# AppConfig.py in your product's root directory. The items in there
# will be included (by importing) in this file if found.

from Products.CMFCore.permissions import setDefaultRoles
##code-section config-head #fill in your manual code here
##/code-section config-head


PROJECTNAME = "EDUContent"

# Permissions
DEFAULT_ADD_CONTENT_PERMISSION = "Add portal content"
setDefaultRoles(DEFAULT_ADD_CONTENT_PERMISSION, ('Manager', 'Owner', 'Contributor'))
ADD_CONTENT_PERMISSIONS = {
    'EDUPage': 'EDUContent: Add EDUPage',
    'EDUContentFolder': 'EDUContent: Add EDUContentFolder',
    'CoreSchema': 'EDUContent: Add CoreSchema',
    'EDUMultiContentFolder': 'EDUContent: Add EDUMultiContentFolder',
    'MultiCoreSchema': 'EDUContent: Add MultiCoreSchema',
    'EDUMultiPage': 'EDUContent: Add EDUMultiPage',
}

setDefaultRoles('EDUContent: Add EDUPage', ('Manager','Owner'))
setDefaultRoles('EDUContent: Add EDUContentFolder', ('Manager','Owner'))
setDefaultRoles('EDUContent: Add CoreSchema', ('Manager','Owner'))
setDefaultRoles('EDUContent: Add EDUMultiContentFolder', ('Manager','Owner'))
setDefaultRoles('EDUContent: Add MultiCoreSchema', ('Manager','Owner'))
setDefaultRoles('EDUContent: Add EDUMultiPage', ('Manager','Owner'))

product_globals = globals()

# Dependencies of Products to be installed by quick-installer
# override in custom configuration
DEPENDENCIES = []

# Dependend products - not quick-installed - used in testcase
# override in custom configuration
PRODUCT_DEPENDENCIES = []

##code-section config-bottom #fill in your manual code here
##/code-section config-bottom


# Load custom configuration not managed by archgenxml
try:
    from Products.EDUContent.AppConfig import *
except ImportError:
    pass
